Loading...
Searching...
No Matches
itk::OpenCLCompileError Class Reference

`#include <itkOpenCLMacro.h>`

## Detailed Description

Exception thrown when OpenCL program failed to build.

Definition at line 133 of file itkOpenCLMacro.h.

Inheritance diagram for itk::OpenCLCompileError:
[legend]

## Public Member Functions

const char * | GetNameOfClass () const override
| OpenCLCompileError ()
| OpenCLCompileError (const char *file, unsigned int lineNumber)
| OpenCLCompileError (const std::string &file, unsigned int lineNumber)
| ~OpenCLCompileError () override=default

## Constructor & Destructor Documentation

## OpenCLCompileError() [1/3]

itk::OpenCLCompileError::OpenCLCompileError | ( |  | ) |

inline

Default constructor. Needed to ensure the exception object can be copied.

Definition at line 137 of file itkOpenCLMacro.h.

## OpenCLCompileError() [2/3]

itk::OpenCLCompileError::OpenCLCompileError | ( | const char * | file,
|  | unsigned int | lineNumber )

inline

Constructor. Needed to ensure the exception object can be copied.

Definition at line 142 of file itkOpenCLMacro.h.

## OpenCLCompileError() [3/3]

itk::OpenCLCompileError::OpenCLCompileError | ( | const std::string & | file,
|  | unsigned int | lineNumber )

inline

Constructor. Needed to ensure the exception object can be copied.

Definition at line 147 of file itkOpenCLMacro.h.

## ~OpenCLCompileError()

itk::OpenCLCompileError::~OpenCLCompileError | ( |  | ) |

override default

Virtual destructor needed for subclasses.

## Member Function Documentation

## GetNameOfClass()

const char * itk::OpenCLCompileError::GetNameOfClass | ( |  | ) | const

inline override

Definition at line 155 of file itkOpenCLMacro.h.

Generated on 1768596610 for elastix by 1.15.0 |